Home
last modified time | relevance | path

Searched +full:fault +full:- +full:q (Results 1 – 25 of 228) sorted by relevance

12345678910

/freebsd/sys/contrib/openzfs/cmd/zpool/zpool.d/
H A Dencdev10 fault_led: Show value of the disk enclosure slot fault LED.
12 ses: Show disk's enc, enc device, slot, and fault/locate LED values."
15 if [ "$1" = "-h" ] ; then
16 echo "$helpstr" | grep "$script:" | tr -s '\t' | cut -f 2-
28 if [ -z "$VDEV_ENC_SYSFS_PATH" ] ; then
36 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
43 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
53 # JBODs fault LED is called 'fault', NVMe fault LED is called
55 if [ -f "$VDEV_ENC_SYSFS_PATH/fault" ] ; then
56 val=$(cat "$VDEV_ENC_SYSFS_PATH/fault" 2>/dev/null)
[all …]
H A Denc10 fault_led: Show value of the disk enclosure slot fault LED.
12 ses: Show disk's enc, enc device, slot, and fault/locate LED values."
15 if [ "$1" = "-h" ] ; then
16 echo "$helpstr" | grep "$script:" | tr -s '\t' | cut -f 2-
28 if [ -z "$VDEV_ENC_SYSFS_PATH" ] ; then
36 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
43 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
53 # JBODs fault LED is called 'fault', NVMe fault LED is called
55 if [ -f "$VDEV_ENC_SYSFS_PATH/fault" ] ; then
56 val=$(cat "$VDEV_ENC_SYSFS_PATH/fault" 2>/dev/null)
[all …]
H A Dfault_led10 fault_led: Show value of the disk enclosure slot fault LED.
12 ses: Show disk's enc, enc device, slot, and fault/locate LED values."
15 if [ "$1" = "-h" ] ; then
16 echo "$helpstr" | grep "$script:" | tr -s '\t' | cut -f 2-
28 if [ -z "$VDEV_ENC_SYSFS_PATH" ] ; then
36 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
43 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
53 # JBODs fault LED is called 'fault', NVMe fault LED is called
55 if [ -f "$VDEV_ENC_SYSFS_PATH/fault" ] ; then
56 val=$(cat "$VDEV_ENC_SYSFS_PATH/fault" 2>/dev/null)
[all …]
H A Dlocate_led10 fault_led: Show value of the disk enclosure slot fault LED.
12 ses: Show disk's enc, enc device, slot, and fault/locate LED values."
15 if [ "$1" = "-h" ] ; then
16 echo "$helpstr" | grep "$script:" | tr -s '\t' | cut -f 2-
28 if [ -z "$VDEV_ENC_SYSFS_PATH" ] ; then
36 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
43 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
53 # JBODs fault LED is called 'fault', NVMe fault LED is called
55 if [ -f "$VDEV_ENC_SYSFS_PATH/fault" ] ; then
56 val=$(cat "$VDEV_ENC_SYSFS_PATH/fault" 2>/dev/null)
[all …]
H A Dses10 fault_led: Show value of the disk enclosure slot fault LED.
12 ses: Show disk's enc, enc device, slot, and fault/locate LED values."
15 if [ "$1" = "-h" ] ; then
16 echo "$helpstr" | grep "$script:" | tr -s '\t' | cut -f 2-
28 if [ -z "$VDEV_ENC_SYSFS_PATH" ] ; then
36 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
43 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
53 # JBODs fault LED is called 'fault', NVMe fault LED is called
55 if [ -f "$VDEV_ENC_SYSFS_PATH/fault" ] ; then
56 val=$(cat "$VDEV_ENC_SYSFS_PATH/fault" 2>/dev/null)
[all …]
H A Dslot10 fault_led: Show value of the disk enclosure slot fault LED.
12 ses: Show disk's enc, enc device, slot, and fault/locate LED values."
15 if [ "$1" = "-h" ] ; then
16 echo "$helpstr" | grep "$script:" | tr -s '\t' | cut -f 2-
28 if [ -z "$VDEV_ENC_SYSFS_PATH" ] ; then
36 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
43 if echo "$VDEV_ENC_SYSFS_PATH" | grep -q '/sys/bus/pci/slots' ; then
53 # JBODs fault LED is called 'fault', NVMe fault LED is called
55 if [ -f "$VDEV_ENC_SYSFS_PATH/fault" ] ; then
56 val=$(cat "$VDEV_ENC_SYSFS_PATH/fault" 2>/dev/null)
[all …]
/freebsd/tests/sys/cddl/zfs/tests/zinject/
H A Dzinject.kshlib36 [[ -d $TESTDIR ]] && \
37 log_must $RM -rf $TESTDIR
52 typeset error=${3:-io}
53 typeset -i expect=${4:-0}
56 log_must eval '$ZINJECT -t $type -e $error \
57 -m -a -q $object > /dev/null 2>&1'
59 log_mustnot eval '$ZINJECT -t $type -e $error \
60 -m -a -q $object > /dev/null 2>&1'
71 log_must eval '$ZINJECT -c all > /dev/null 2>&1'
87 # Inject a fault into a particular device
[all …]
/freebsd/tools/test/stress2/misc/
H A Dnullfs14.sh29 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
31 # Page fault seen in fifo_close()
36 mount | grep -q "$nullfsmp " && umount $nullfsmp
38 [ -d $nullfsmp ] || mkdir $nullfsmp
39 mount | grep "$mntpoint " | grep -q /dev/md && umount -f $mntpoint
40 mdconfig -l | grep -q md$mdstart && mdconfig -d -u $mdstart
41 mdconfig -a -t swap -s 1g -u $mdstart
45 mount -t nullfs $mntpoint $nullfsmp
48 rm $mntpoint/fifo # Triggers page fault
50 while mount | grep -q "$nullfsmp "; do
[all …]
H A Dnullfs5.sh31 # Kernel page fault with the following non-sleepable locks held from
34 # Fatal trap 12: page fault while in kernel mode
43 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
49 grep -q "journaled soft-updates" &&
55 mycc -o kinfo -Wall -g kinfo.c -lutil
56 rm -f kinfo.c
59 mount | grep -q procfs || mount -t procfs procfs /proc
65 mount | grep -q $mntpoint && umount -f $mntpoint
67 mount -t nullfs `dirname $RUNDIR` $mntpoint
72 (cd ..; timeout -k 15m 12m ./run.sh marcus.cfg)
[all …]
H A Dzfs3.sh31 # page fault from fs/zfs/dbuf.c:1807
33 # Page fault seen:
34 # https://people.freebsd.org/~pho/stress/log/zfs3-2.txt
37 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
38 [ `uname -m` = "i386" ] && exit 0
39 [ `sysctl -n kern.kstack_pages` -lt 4 ] && exit 0
43 kldstat -v | grep -q zfs.ko || { kldload zfs.ko ||
55 mdconfig -l | grep -q md$u1 && mdconfig -d -u $u1
56 mdconfig -l | grep -q md$u2 && mdconfig -d -u $u2
58 mdconfig -a -t vnode -f $d1 -u $u1
[all …]
H A Dmkfifo.sh29 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
33 # but page fault seen in scheduler() due to a _thread_lock_flags() call on
36 # Fault seen in "softdep_disk_io_initiation+0x41":
43 mount | grep $mntpoint | grep -q /dev/md && umount -f $mntpoint
44 mdconfig -l | grep -q md$mdstart && mdconfig -d -u $mdstart
46 mdconfig -a -t swap -s 2g -u $mdstart || exit 1
48 [ "$newfs_flags" = "-U" ] && opt="-j"
79 su $testuser -c 'cd ..; ./testcases/run/run $TESTPROGS'
81 while mount | grep $mntpoint | grep -q /dev/md; do
84 mdconfig -d -u $mdstart
H A Dsyzkaller17.sh3 # Fatal trap 12: page fault while in kernel mode
5 # fault virtual address = 0x10
6 # fault code = supervisor read data, page not present
15 # panic: page fault
26 # --- trap 0xc, rip = 0xffffffff80de3833, rsp = 0xfffffe01398a8860, rbp = 0xfffffe01398a8880 ---
37 # --- syscall (0, FreeBSD ELF64, nosys), rip = 0x80042813a, rsp = 0x7fffffffe538, rbp = 0x7fffffffe…
42 # version: FreeBSD 13.0-CURRENT #0 r362791: Tue Jun 30 08:57:50 CEST 2020
46 [ `uname -p` != "amd64" ] && exit 0
49 kldstat -v | grep -q sctp || kldload sctp.ko
53 // Reported-by: syzbot+f3a6fccfa6ae9d3ded29@syzkaller.appspotmail.com
[all …]
H A Dcrossmp7.sh31 # Page fault seen:
35 # Page fault seen:
39 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
40 [ `uname -m` = "i386" ] && exit 0
41 [ `sysctl -n kern.kstack_pages` -lt 4 ] && exit 0
47 if [ $# -eq 0 ]; then
48 kldstat -v | grep -q zfs.ko || { kldload zfs.ko ||
50 zpool list | egrep -q "^stress2_tank" && zpool destroy stress2_tank
56 [ -c /dev/md$u1 ] && mdconfig -d -u $u1
57 [ -c /dev/md$u2 ] && mdconfig -d -u $u2
[all …]
H A Dzfs17.sh6 # SPDX-License-Identifier: BSD-2-Clause
12 # Page fault seen:
15 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
16 [ `sysctl -n kern.kstack_pages` -lt 4 ] && exit 0
20 set -u
21 kldstat -v | grep -q zfs.ko || { kldload zfs.ko ||
31 mkdir -p $mp2 $mp3
33 mdconfig -l | grep -q md$u1 && mdconfig -d -u $u1
34 mdconfig -l | grep -q md$u2 && mdconfig -d -u $u2
36 mdconfig -s 2g -u $u1
[all …]
H A Dsyzkaller60.sh3 # Fatal trap 12: page fault while in kernel mode
5 # fault virtual address = 0x3e07d728
6 # fault code = supervisor write data, page not present
15 # panic: page fault
25 # --- trap 0xc, rip = 0xffffffff80c9ba1d, rsp = 0xfffffe014d9ceba0, rbp = 0xfffffe014d9cec00 ---
34 # --- syscall (1, FreeBSD ELF64, sys_exit), rip = 0x82209fdca, rsp = 0x820fab718, rbp = 0x820fab730…
39 # version: FreeBSD 14.0-CURRENT #0 main-n256319-c11e64ce51308: Sat Jun 25 07:12:49 CEST 2022…
43 [ `uname -p` != "amd64" ] && exit 0
49 // Reported-by: syzbot+4b862074650b91e087b4@syzkaller.appspotmail.com
68 syscall(SYS_mmap, 0x20000000ul, 0x1000000ul, 7ul, 0x1012ul, -1, 0ul);
[all …]
H A Dsnap7.sh29 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
34 # 20070508 page fault in g_io_request+0xa6
36 mount | grep -q "on /tmp (ufs," || exit 0
37 mount | grep -q "/dev/md$mdstart on $mntpoint" && umount $mntpoint
38 rm -f /tmp/.snap/stress2.1
39 trap "rm -f /tmp/.snap/stress2.1" 0
40 mount | grep "$mntpoint" | grep -q md$mdstart && umount $mntpoint
41 mdconfig -l | grep -q md$mdstart && mdconfig -d -u $mdstart
44 while [ `date '+%s'` -lt $((start + 1200)) ]; do
46 mdconfig -a -t vnode -f /tmp/.snap/stress2.1 -u $mdstart -o readonly
[all …]
H A Dnfs10.sh31 # Lock violation: http://people.freebsd.org/~pho/stress/log/nfs10-2.txt
32 # Double fault: http://people.freebsd.org/~pho/stress/log/nfs10-3.txt
34 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
38 grep -q $mntpoint /etc/exports ||
42 [ -d $m2 ] || mkdir $m2
43 mount | grep "on $m2 " | grep -q nfs && umount $m2
44 mount | grep "on $mntpoint " | grep -q /dev/md && umount -f $mntpoint
45 mdconfig -l | grep -q md$mdstart && mdconfig -d -u $mdstart
47 mdconfig -a -t swap -s 2g -u $mdstart || exit 1
54 mount -t nfs -o nfsv4 -o rw,retrycnt=3 127.0.0.1:$mntpoint $m2
[all …]
H A Dsyzkaller20.sh3 # Fatal trap 12: page fault while in kernel mode
5 # fault virtual address = 0x70
6 # fault code = supervisor read data, page not present
15 # panic: page fault
26 # --- trap 0xc, rip = 0xffffffff80dec3cf, rsp = 0xfffffe013c9384d0, rbp = 0xfffffe013c938510 ---
37 # --- syscall (0, FreeBSD ELF64, nosys), rip = 0x80045513a, rsp = 0x7fffffffe568, rbp = 0x7fffffffe…
42 # version: FreeBSD 13.0-CURRENT #0 r363687: Thu Jul 30 08:55:21 CEST 2020
46 [ `uname -p` != "amd64" ] && exit 0
69 syscall(SYS_mmap, 0x20000000ul, 0x1000000ul, 7ul, 0x1012ul, -1, 0ul);
72 if (res != -1)
[all …]
H A Dsyzkaller49.sh3 # Fatal trap 12: page fault while in kernel mode
5 # fault virtual address = 0x0
6 # fault code = supervisor read data, page not present
15 # panic: page fault
25 # --- trap 0xc, rip = 0xffffffff80e04f35, rsp = 0xfffffe014fd0fbc0, rbp = 0xfffffe014fd0fc00 ---
33 # --- syscall (0, FreeBSD ELF64, nosys), rip = 0x8020e328a, rsp = 0x22f48, rbp = 0x22f70 ---
38 # version: FreeBSD 14.0-CURRENT #0 ufs-n251956-c3008785b91: Mon Dec 27 06:11:30 CET 2021
43 [ `id -u` -ne 0 ] && echo "Must be root!" && exit 1
48 // Reported-by: syzbot+93c75c4618b2a4f0f0ac@syzkaller.appspotmail.com
108 if (pthread_mutex_init(&ev->mu, 0))
[all …]
H A Dmlockall5.sh37 # MAP_ENTRY_IN_TRANSITION flag to clear. After that, the fault handler
40 # the wiring is done, the entry does not fault at all.
46 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
52 mycc -o mlockall5 -Wall -Wextra -O0 -g mlockall5.c -lpthread || exit 1
53 rm -f mlockall5.c
56 mount | grep "on $mntpoint " | grep -q /dev/md && umount -f $mntpoint
57 [ -c /dev/md$mdstart ] && mdconfig -d -u $mdstart
58 mdconfig -a -t swap -s 512m -u $mdstart || exit 1
59 newfs $newfs_flags -n md$mdstart > /dev/null
65 while mount | grep "on $mntpoint " | grep -q /dev/md; do
[all …]
H A Dmemguard.sh29 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
31 # MEMGUARD(9) test scenario: Page fault seen in softdep_setup_inomapdep().
35 sysctl vm | grep -q memguard || { echo "MEMGUARD(9) not enabled"; exit 0; }
37 mount | grep $mntpoint | grep -q /dev/md && umount -f $mntpoint
38 mdconfig -l | grep -q md$mdstart && mdconfig -d -u $mdstart
40 mdconfig -a -t swap -s 20m -u $mdstart || exit 1
49 set `df -ik $mntpoint | tail -1 | awk '{print $4,$7}'`
56 su $testuser -c 'cd ..; ./run.sh disk.cfg' > /dev/null
61 while mount | grep $mntpoint | grep -q /dev/md; do
64 mdconfig -d -u $mdstart
/freebsd/sys/contrib/openzfs/tests/zfs-tests/tests/functional/fault/
H A Ddecrypt_fault.ksh1 #!/bin/ksh -p
19 . $STF_SUITE/tests/functional/fault/fault.cfg
36 log_must zinject -c all
44 log_must eval "echo 'password' | zfs create -o encryption=on \
45 -o keyformat=passphrase -o keylocation=prompt $TESTPOOL/fs"
49 log_must zinject -a -t data -e decrypt -f 20 $mntpt/file1
56 log_must eval "zpool events $TESTPOOL | grep -q 'authentication'"
H A Ddecompress_fault.ksh1 #!/bin/ksh -p
19 . $STF_SUITE/tests/functional/fault/fault.cfg
37 log_must zinject -c all
45 log_must zfs create -o compression=on $TESTPOOL/fs
51 log_must zinject -a -t data -e decompress -f 20 $mntpt/testfile.0
55 log_must eval "zpool events $TESTPOOL | grep -q 'data'"
/freebsd/contrib/llvm-project/lldb/source/Plugins/Process/Utility/
H A DRegisterInfoPOSIX_arm.h1 //===-- RegisterInfoPOSIX_arm.h ---------------------------------*- C++ -*-===//
5 // SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
7 //===----------------------------------------------------------------------===//
14 #include "lldb/lldb-private.h"
21 uint32_t r[16]; // R0-R15
33 QReg q[16]; // the 128-bit NEON registers member
39 uint32_t fsr; /* Fault status */
40 uint32_t far; /* Virtual Fault Address */
/freebsd/usr.sbin/sesutil/
H A Dsesutil.c1 /*-
67 static int fault(int argc, char **argv);
70 static int sesled(int argc, char **argv, bool fault);
80 { "fault",
82 "Change the state of the fault LED associated with a disk",
83 fault },
91 "Print a human-friendly summary of the enclosure", show } ,
105 xo_error("usage: %s [-u /dev/ses<N>] <command> [options]\n", in usage()
112 xo_error("usage: %s %s [-u /dev/ses<N>] " in usage()
119 xo_error(" %-12s%s\n\t\t%s\n\n", cmds[i].name, in usage()
[all …]

12345678910